interfaces Library: KTextEditor::View Class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::View Class Reference

The View class represents a single view of a Document . More...

`#include <view.h>`

Inheritance diagram for KTextEditor::View:

[legend]
Collaboration diagram for KTextEditor::View:

[legend]
List of all members.

## Public Member Functions
| View (class Document *, QWidget *parent, const char *name=0)
unsigned int | viewNumber () const
QCString | viewDCOPSuffix () const
virtual class Document * | document () const =0
## Friends
class | PrivateView

## Detailed Description

The View class represents a single view of a Document .

Definition at line 32 of file ktexteditor/view.h.

## Constructor & Destructor Documentation

View::View | ( | class Document * | ,
|  | QWidget * | parent,
|  | const char * | name = `0`
| ) |

| Create a new view to the given document. The document must be non-null. Definition at line 132 of file ktexteditor.cpp.

## Member Function Documentation

unsigned int View::viewNumber | ( |  | ) | const

| Returns the number of this view. Definition at line 142 of file ktexteditor.cpp. Referenced by viewDCOPSuffix().

QCString View::viewDCOPSuffix | ( |  | ) | const

| Returns the DCOP suffix to allow identification of this view's DCOP interface. Definition at line 147 of file ktexteditor.cpp. References document(), QCString::setNum(), and viewNumber().

virtual class Document* KTextEditor::View::document | ( |  | ) | const`[pure virtual]`

| Acess the parent Document. Referenced by viewDCOPSuffix().

The documentation for this class was generated from the following files:

- ktexteditor/view.h
- ktexteditor.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:18 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003